<?php
if (!defined('MODULE_FILE')) {
	Header("Location: ../../index.php");
	exit;
}
$module_name = basename(dirname(__FILE__));

function readservis($link) {
	$ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $link);
    curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 6.0)");
    curl_setopt($ch, CURLOPT_HEADER, 0);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $res = curl_exec($ch);
    curl_close($ch);
	return $res;
}

session_start();
if (intval($_SESSION['setpogoda'])==1) {
		setcookie("pogoda1", $_SESSION['setpogoda1'], time() + intval(157680000));
		setcookie("pogoda2", $_SESSION['setpogoda2'], time() + intval(157680000));
		unset($_SESSION['setpogoda']);
		Header("Location: index.php?name=Pogoda");
		die();
}


//читать из куки
if ($_COOKIE['pogoda1'] !="") {
   $kod = intval($_COOKIE['pogoda1']);
   $city = htmlspecialchars($_COOKIE['pogoda2']);
} else {
   $city = " Железногорск ";
   $kod = 34002;
}



	$pagetitle = "$defis Погода";
	include("header.php");
	echo "<script language=\"JavaScript\" type=\"text/javascript\" src=\"ajaxscripts/Pogoda/pogoda.js\"></script>";

	OpenTable();
	echo "<center><font class=\"title\"><b>Погода</b></font><br><font class='option'><b>в городе ".$city." на ближайшие дни</b></font></center>";
	CloseTable();

	OpenTable();

//$kod = 4445;
$out = readservis("http://www.gismeteo.ru/city/daily/".$kod."/");
$out = iconv("UTF-8", "CP1251", $out);
preg_match_all('#<table summary=\"Карты погоды\">(.*?)</table>#si',$out,$tabl);

preg_match_all('#<tr(.*?)>(.*?)</tr>#si',$tabl[0][1],$tr);
$month=array("01" => "января", "02" => "февраля", "03" => "марта", "04" => "апреля", "05" => "мая", "06" => "июня", "07" => "июля", "08" => "августа", "09" => "сентября", 10 => "октября", 11 => "ноября", 12 => "декабря");
unset($tr[2][21]);unset($tr[2][22]);unset($tr[2][23]);unset($tr[2][24]);unset($tr[2][25]);unset($tr[2][26]);unset($tr[2][27]);

preg_match('#UTC\: (.*?) #', $tr[2][2], $tmp);
$tmp = explode('-', $tmp[1]);
$tr[2][0] = preg_replace ("#\.#", (intval($tmp[2]).' '.$month[$tmp[1]].' '.$tmp[0]), $tr[2][0]);

preg_match('#UTC\: (.*?) #', $tr[2][9], $tmp);
$tmp = explode('-', $tmp[1]);
$tr[2][7] = preg_replace ("#\.#", (intval($tmp[2]).' '.$month[$tmp[1]].' '.$tmp[0]), $tr[2][7]);

preg_match('#UTC\: (.*?) #', $tr[2][16], $tmp);
$tmp = explode('-', $tmp[1]);
$tr[2][14] = preg_replace ("#\.#", (intval($tmp[2]).' '.$month[$tmp[1]].' '.$tmp[0]), $tr[2][14]);

foreach($tr[2] as $key => $val) {
	$tr[2][$key] = preg_replace ("#img src=\"/images/ico/wind#", "img src=\"http://i.gismeteo.com/images/ico/wind", $tr[2][$key]);
	$tr[2][$key] = preg_replace ("#<!--(.*?)-->#", "", $tr[2][$key]);
}

echo "<table><tr>".(implode($tr[2], "</tr><tr>"))."</tr></table>";

/*
 * Разработчикам: Используйте, что бы посмотреть массив
 */
/*
foreach($tr[2] as $key => $val) {
	echo $key.'<br>'.htmlspecialchars($tr[2][$key]).'<br><br><br><br>';
}
*/


	OpenTable();
	echo "Прогноз погоды предоставлен сервисом <a href=\"http://www.gismeteo.ru\">Gismeteo</a>.<br><br>";

	CloseTable();

	include("footer.php");
?>